<?php

#---------------------------------------------------------------------------------------------------#
#-------------------------- LOAD APPLICATION CONFIGS -----------------------------------------------#
#---------------------------------------------------------------------------------------------------#

// the engine configs directory
$thisDir_globalApplicationCfg=$thisDir_globalCfg."application/";

// authentication details
include($thisDir_globalApplicationCfg."authentication.cfg.php");

// global configs
include($thisDir_globalApplicationCfg."global.cfg.php");

// global paths
include($thisDir_globalApplicationCfg."paths.cfg.php");

// locations
include($thisDir_globalApplicationCfg."locations.cfg.php");

// the lang configs
include($thisDir_globalApplicationCfg."lang.cfg.php");

// the debugging configs
include($thisDir_globalApplicationCfg."debugging.cfg.php");

// database tables list
include($thisDir_globalApplicationCfg."db.cfg.php");

// person title types
include($thisDir_globalApplicationCfg."generalData.cfg.php");

// currencies
include($thisDir_globalApplicationCfg."currencies.cfg.php");

// travel configs
include($thisDir_globalApplicationCfg."travel.cfg.php");

// orders configs
include($thisDir_globalApplicationCfg."orders.cfg.php");

// invoices
include($thisDir_globalApplicationCfg."invoices.cfg.php");

// application configs
include($thisDir_globalApplicationCfg."applicationConfigs.cfg.php");

// the logger configs
include($thisDir_globalApplicationCfg."logger.cfg.php");

// the encodings configs
include($thisDir_globalApplicationCfg."encodings.cfg.php");

// document types and details
include($thisDir_globalApplicationCfg."documentTypes.cfg.php");

// task management configs
include($thisDir_globalApplicationCfg."tasksAndEvents.cfg.php");

// cron jobs configs
include($thisDir_globalApplicationCfg."cronJobs.cfg.php");

// dashboard configs
include($thisDir_globalApplicationCfg."dashboard.cfg.php");

// some MVC stuff -  some of it mau be debugging stuff
include($thisDir_globalApplicationCfg."mvcStuff.cfg.php");

// qc configs
include($thisDir_globalApplicationCfg."qc.cfg.php");

// offer profile configs
include($thisDir_globalApplicationCfg."offerProfileRules.cfg.php");

// GDS configs
include($thisDir_globalApplicationCfg."gds.cfg.php");
